# SubCreator (SubServers.Host)

net.ME1312.SubServers.Host.Executable

## Class SubCreator

- java.lang.Object
- - net.ME1312.SubServers.Host.Executable.SubCreator

    public class SubCreator
    extends java.lang.Object

Internal SubCreator Class

### Nested Class Summary

Nested Classes
`static class` `SubCreator.ServerTemplate`
`static class` `SubCreator.ServerType`

### Constructor Summary

Constructors
Constructor and Description
`SubCreator(ExHost host)` Creates a SubCreator Instance

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `create(java.lang.String name, SubCreator.ServerTemplate template, Version version, int port, java.util.UUID address, java.lang.String id)`
`java.util.List<SubLogger>` `getLogger()`
`SubLogger` `getLogger(java.lang.String name)`
`void` `terminate()`
`void` `terminate(java.lang.String name)`
`void` `waitFor()`
`void` `waitFor(java.lang.String name)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubCreator

    public SubCreator(ExHost host)

Creates a SubCreator Instance

Parameters:
  `host` - SubServers.Host

### Method Detail

#### create

    public boolean create(java.lang.String name,
                          SubCreator.ServerTemplate template,
                          Version version,
                          int port,
                          java.util.UUID address,
                          java.lang.String id)

#### terminate

    public void terminate()

#### terminate

    public void terminate(java.lang.String name)

#### waitFor

    public void waitFor()
                 throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### waitFor

    public void waitFor(java.lang.String name)
                 throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### getLogger

    public java.util.List<SubLogger> getLogger()

#### getLogger

    public SubLogger getLogger(java.lang.String name)